#include<stdio.h>
#include<stdlib.h>
#include<math.h>
void razmena(int *a,int *b){
	int t;
	t=*a;
	*a=*b;
	*b=t;
}
void Unos(int a[],int N){
	for(int i=0;i<N;i++)scanf("%d",&a[i]);
}
void prikaz(int a[],int N){
	for(int i=0;i<N;i++)printf("%d ",a[i]);
}
main(){
	int N,a[100000],i;
	scanf("%d",&N);
	Unos(a,N);
	razmena(&a[N-1],&a[N-2]);
	prikaz(a,N);
}